Bug 889157 - gf_log() not flushing logs properly.
gf_log() not flushing logs properly.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-20 06:12 EST by Avra Sengupta
Modified: 2014-06-13 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:53:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Avra Sengupta 2012-12-20 06:12:22 EST
Description of problem:
While logging to the log file, the gf_log() api does not flush logs properly, hence there is inconsistency in logging.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Vijay Bellur 2012-12-21 06:49:01 EST
CHANGE: http://review.gluster.org/4344 (logging: Added fflush in _gf_log.) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 3 Anand Avati 2014-06-13 03:00:43 EDT
REVIEW: http://review.gluster.org/8058 (logging: Flush log messages logged via gf_log_callingfn()) posted (#1) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 4 Anand Avati 2014-06-13 06:25:59 EDT
REVIEW: http://review.gluster.org/8058 (logging: Flush log messages logged via gf_log_callingfn()) posted (#2) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 5 Anand Avati 2014-06-13 12:58:36 EDT
COMMIT: http://review.gluster.org/8058 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 85055f8a909ed0c5ebb20dd2c1ed34e610c987fe
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Fri Jun 13 12:01:34 2014 +0530

    logging: Flush log messages logged via gf_log_callingfn()
    
    Change-Id: Id1d83a6c5985dd57ef3cf1e3d2f4d04ff2dbabfa
    BUG: 889157
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/8058
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.